# GCC_ChallengeResponseAlgorithm Class Reference

`#include <gcc.h>`

List of all members.

## Public Types

enum | Choices { e_passwordInTheClear, e_nonStandardAlgorithm }

## Public Member Functions

| GCC_ChallengeResponseAlgorithm (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator GCC_NonStandardParameter & ()
| operator const GCC_NonStandardParameter & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum GCC_ChallengeResponseAlgorithm::Choices

Enumerator:

  e_passwordInTheClear |
  e_nonStandardAlgorithm |

## Constructor & Destructor Documentation

GCC_ChallengeResponseAlgorithm::GCC_ChallengeResponseAlgorithm | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

GCC_ChallengeResponseAlgorithm::operator GCC_NonStandardParameter & | ( |  | ) |

GCC_ChallengeResponseAlgorithm::operator const GCC_NonStandardParameter & | ( |  | ) | const

PBoolean GCC_ChallengeResponseAlgorithm::CreateObject | ( |  | ) |

PObject* GCC_ChallengeResponseAlgorithm::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- gcc.h